Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
M
mkimage-profiles
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Anton Palgunov
mkimage-profiles
Commits
06e4c7f8
Commit
06e4c7f8
authored
Aug 21, 2023
by
Anton Midyukov
Browse files
Options
Browse Files
Download
Plain Diff
Merge tag 'v1.5.9' into sisyphus
v1.5.9
parents
e504dc55
6bfed400
Show whitespace changes
Inline
Side-by-side
Showing
42 changed files
with
237 additions
and
188 deletions
+237
-188
tar2fs
bin/tar2fs
+36
-59
live.mk
conf.d/live.mk
+1
-1
mixin.mk
conf.d/mixin.mk
+4
-3
phone.mk
conf.d/phone.mk
+7
-10
regular-vm.mk
conf.d/regular-vm.mk
+1
-1
regular.mk
conf.d/regular.mk
+7
-9
server.mk
conf.d/server.mk
+1
-1
vm.mk
conf.d/vm.mk
+1
-1
config.mk
features.in/bootloader/config.mk
+1
-0
20-branding.mk
features.in/branding/lib/20-branding.mk
+0
-6
config.mk
features.in/browser/config.mk
+2
-3
17-kernel
features.in/build-vm/image-scripts.d/17-kernel
+1
-1
40-e2k-boot-conf
features.in/e2k/image-scripts.d/40-e2k-boot-conf
+41
-0
50-e2k-serial
features.in/e2k/rootfs/image-scripts.d/50-e2k-serial
+0
-2
config.mk
features.in/efi/config.mk
+8
-14
40-efi-shell
features.in/efi/stage1/scripts.d/40-efi-shell
+7
-0
90memtest.cfg
features.in/grub/cfg.in/90memtest.cfg
+7
-3
90memtest_bios.cfg
features.in/grub/cfg.in/90memtest_bios.cfg
+1
-2
91shell_efi.cfg
features.in/grub/cfg.in/91shell_efi.cfg
+2
-3
10-hdt-img
features.in/hdt/stage1/scripts.d/10-hdt-img
+15
-11
config.mk
features.in/init/config.mk
+1
-1
config.mk
features.in/initrd-bootchain/config.mk
+1
-1
config.mk
features.in/initrd-propagator/config.mk
+1
-1
90-install2-cleanup-bloat
...stall2/install2/image-scripts.d/90-install2-cleanup-bloat
+2
-4
config.mk
features.in/memtest/config.mk
+4
-0
02-memtest
features.in/memtest/stage1/scripts.d/02-memtest
+5
-1
80-squeekboard
features.in/phone/image-scripts.d/80-squeekboard
+0
-4
00_background
....in/phone/rootfs/files/etc/dconf/db/local.d/00_background
+2
-0
60-mobile.rules
...n/phone/rootfs/files/etc/polkit-1/rules.d/60-mobile.rules
+0
-12
config.mk
features.in/rescue/config.mk
+2
-7
config.mk
features.in/services/config.mk
+1
-1
95-copy-kernel
features.in/stage2/stage1/scripts.d/95-copy-kernel
+0
-9
50-serial
features.in/tty/rootfs/image-scripts.d/50-serial
+1
-1
boot.mk
lib/boot.mk
+2
-3
disk-dvd
pkg.in/lists/centaurus/disk-dvd
+0
-1
grub
pkg.in/lists/grub
+1
-2
lilo
pkg.in/lists/lilo
+0
-1
apps
pkg.in/lists/mobile/apps
+41
-9
phosh
pkg.in/lists/mobile/phosh
+23
-0
rescue+extra
pkg.in/lists/tagged/rescue+extra
+1
-0
99-dconf-update
sub.in/rootfs/image-scripts.d/99-dconf-update
+4
-0
Makefile
sub.in/stage1/Makefile
+2
-0
No files found.
bin/tar2fs
View file @
06e4c7f8
...
...
@@ -146,6 +146,25 @@ mkpart() {
parting mkpart primary
"
$CUR_FS
"
"
$start
"
MiB
"
$end
"
}
create_inner_grub_cfg
()
{
local
boot_path boot_uuid cfg_path
cfg_path
=
$1
[
-n
"
$cfg_path
"
]
||
return
1
if
[
-n
"
$BOOTUUID
"
]
;
then
boot_uuid
=
"
$BOOTUUID
"
boot_path
=
grub
else
boot_uuid
=
"
$ROOTUUID
"
boot_path
=
boot/grub
fi
[
-n
"
$boot_uuid
"
]
||
return
1
cat
>
"
$cfg_path
"
<<-
GRUB_EOF
search.fs_uuid
$boot_uuid
root
set prefix=(\
$root
)/
$boot_path
configfile \
$prefix
/grub.cfg
GRUB_EOF
}
# a tarball containing chroot with a kernel
TAR
=
"
$1
"
[
-s
"
$TAR
"
]
||
fatal
"source tarball doesn't really exist"
...
...
@@ -340,54 +359,11 @@ if [ -n "$EFIPART" ]; then
echo
"
$EFIDEV
/boot/efi vfat umask=0,quiet,showexec,iocharset=utf8,codepage=866 1 2"
>>
"
$ROOTFS
/etc/fstab"
fi
# Query ARCH in chroot and redefine arch-dependent variable
ARCH
=
"
$(
chroot
"
$ROOTFS
"
rpm
--eval
'%_host_cpu'
)
"
# NB: don't stick BOOTFS here, it has slightly different semantics
pushd
$ROOTFS
/boot
# 4.9.76-elbrus-def-alt1.11.1 -> def
get_label
()
{
echo
"
${
1
# *
}
"
|
sed
-r
's,.*elbrus-([0-9a-z]+)-.*$,\1,'
;
}
KVERSIONS
=
KVERSIONS
=
"
$(
chroot
"
$ROOTFS
"
rpm
-qa
'kernel-image*'
\
--qf
'%{installtime} %{version}-%{name}-%{release}\n'
\
|
sort
-n
\
|
cut
-f
2
-d
' '
\
|
sed
's/kernel-image-//'
)
"
[
-n
"
$KVERSIONS
"
]
||
fatal
"unable to deduce kernel version"
rm
-f
.origver
# clean fstab
sed
-i
"/LABEL=ROOT/d"
"
$ROOTFS
/etc/fstab"
# ...target device too
sed
-i
"s,
$LOOPROOT
,
$ROOTDEV
,"
"
$ROOTFS
/etc/fstab"
echo
"** KVERSIONS=[
$KVERSIONS
]"
>
&2
if
[
"
`
echo
$KVERSIONS
|
wc
-w
`
"
=
1
]
;
then
# 2+ labels
echo
-e
"default=
`
get_label
$KVERSIONS
`
\n
"
>>
boot.conf
fi
# FIXME: relies on particular (current) kernel package naming scheme
for
v
in
$KVERSIONS
;
do
l
=
"
`
get_label
"
$v
"
`
"
cat
>>
boot.conf
<<
EOF
label=
$l
partition=0
image=/image-
$v
initrd=/initrd-
$v
.img
cmdline=console=ttyS0,115200 console=tty0 consoleblank=0 hardreset root=UUID=
$ROOTUUID
EOF
done
echo
"** start of boot.conf"
cat
boot.conf
echo
"** end of boot.conf"
popd
# Update cmdline.txt for Raspberry Pi
[
-f
"
$ROOTFS
/boot/efi/cmdline.txt"
]
&&
sed
-i
"s/LABEL=ROOT/
$ROOTDEV
/"
"
$ROOTFS
/boot/efi/cmdline.txt"
...
...
@@ -411,6 +387,14 @@ if [ -f "$ROOTFS/boot/extlinux/extlinux.conf" ]; then
fi
fi
# e2k
if
[
-f
"
$ROOTFS
/boot/boot.conf"
]
;
then
sed
-i
"s/LABEL=ROOT/
$ROOTDEV
/g"
"
$ROOTFS
/boot/boot.conf"
fi
# Query ARCH in chroot and redefine arch-dependent variable
ARCH
=
"
$(
chroot
"
$ROOTFS
"
rpm
--eval
'%_host_cpu'
)
"
# Setup bootloader
case
"
$BOOTLOADER
"
in
lilo
)
...
...
@@ -448,13 +432,10 @@ image=/boot/vmlinuz
grub-efi
)
echo
'GRUB_DISABLE_OS_PROBER=true'
>>
"
$ROOTFS
"
/etc/sysconfig/grub2
chroot
"
$ROOTFS
"
grub-mkconfig
-o
/boot/grub/grub.cfg
mkdir
-p
"
$ROOTFS
"
/boot/efi/EFI/BOOT
case
"
$ARCH
"
in
x86_64
)
chroot
"
$ROOTFS
"
grub-install
--target
=
i386-efi
--recheck
\
--no-nvram
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
x86_64-efi
--recheck
\
--no-nvram
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
i386-efi
--recheck
\
--removable
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
x86_64-efi
--recheck
\
--removable
--uefi-secure-boot
...
...
@@ -464,25 +445,21 @@ grub-efi)
chroot
"
$ROOTFS
"
grub-install
--target
=
i386-pc
"
$LOOPDEV
"
;;
aarch64
)
chroot
"
$ROOTFS
"
grub-install
--target
=
arm64-efi
--recheck
\
--no-nvram
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
arm64-efi
--recheck
\
--removable
--uefi-secure-boot
cp
"
$ROOTFS
"
/usr/lib64/efi/grubaa64.efi
\
"
$ROOTFS
"
/boot/efi/EFI/BOOT/bootaa64.efi
;;
riscv64
)
chroot
"
$ROOTFS
"
grub-install
--target
=
riscv64-efi
--recheck
\
--no-nvram
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
riscv64-efi
--recheck
\
--removable
--uefi-secure-boot
cp
"
$ROOTFS
"
/usr/lib64/efi/grubriscv64.efi
\
"
$ROOTFS
"
/boot/efi/EFI/BOOT/bootriscv64.efi
;;
loongarch64
)
chroot
"
$ROOTFS
"
grub-install
--target
=
loongarch64-efi
--recheck
\
--no-nvram
--uefi-secure-boot
chroot
"
$ROOTFS
"
grub-install
--target
=
loongarch64-efi
--recheck
\
--removable
--uefi-secure-boot
cp
"
$ROOTFS
"
/usr/lib64/efi/grubloongarch64.efi
\
"
$ROOTFS
"
/boot/efi/EFI/BOOT/bootloongarch64.efi
;;
esac
sed
-i
'/GRUB_DISABLE_OS_PROBER=true/d'
"
$ROOTFS
/etc/sysconfig/grub2"
[
-s
"
$ROOTFS
"
/boot/efi/EFI/BOOT/grub.cfg
]
||
create_inner_grub_cfg
"
$ROOTFS
"
/boot/efi/EFI/BOOT/grub.cfg
;;
grub
)
echo
'GRUB_DISABLE_OS_PROBER=true'
>>
"
$ROOTFS
"
/etc/sysconfig/grub2
...
...
conf.d/live.mk
View file @
06e4c7f8
...
...
@@ -11,7 +11,7 @@ distro/syslinux: distro/.boot \
endif
ifeq (,$(filter-out i586 x86_64 aarch64 ppc64le riscv64 loongarch64,$(ARCH)))
distro/grub: distro/.boot use/grub use/hdt use/memtest +efi \
distro/grub: distro/.boot use/grub use/hdt use/memtest
use/efi/shell
+efi \
use/grub/localboot_bios.cfg use/grub/sdab_bios.cfg; @:
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call set,BOOTLOADER,grubpcboot)
...
...
conf.d/mixin.mk
View file @
06e4c7f8
...
...
@@ -83,11 +83,12 @@ mixin/regular-icewm: use/fonts/ttf/redhat +icewm +nm-gtk
@$(call add,THE_PACKAGES,mnt)
# gdm2.20 can reboot/halt with both sysvinit and systemd, and is slim
mixin/regular-gnustep: use/x11/gnustep use/mediacheck
use/browser/seamonkey
mixin/regular-gnustep: use/x11/gnustep use/mediacheck
@$(call add,THE_BRANDING,graphics)
mixin/regular-cinnamon: use/x11/cinnamon use/x11/lightdm/slick +nm \
use/fonts/ttf/google use/im; @:
use/fonts/ttf/google use/im
@$(call add,THE_PACKAGES,xdg-user-dirs-gtk)
mixin/regular-deepin: use/x11/deepin use/browser/chromium +nm; @:
...
...
@@ -100,7 +101,7 @@ mixin/regular-kde5: use/x11/kde5 use/browser/falkon \
use/x11/kde5-display-manager-lightdm \
use/fonts/ttf/google use/fonts/ttf/redhat use/fonts/zerg \
+pulse
@$(call add,THE_PACKAGES,kde5-telepathy)
@$(call add,THE_PACKAGES,kde5-telepathy
plasma5-xdg-desktop-portal-kde
)
@$(call add,THE_PACKAGES,qt6-wayland)
ifneq (,$(filter-out e2k%,$(ARCH)))
@$(call add,THE_PACKAGES,falkon-kde5)
...
...
conf.d/phone.mk
View file @
06e4c7f8
...
...
@@ -8,8 +8,10 @@ endif
mixin/phone-base: use/ntp/chrony use/repo use/branding/notes \
use/deflogin/privileges use/deflogin/xgrp use/deflogin/hardware \
use/deflogin/root use/l10n/ru_RU
use/deflogin/root use/l10n/ru_RU use/xdg-user-dirs
@$(call add,THE_BRANDING,notes indexhtml)
@$(call add,THE_LISTS,mobile/base)
@$(call add,THE_PACKAGES,polkit-rule-mobile)
@$(call add,USERS,altlinux:271828:1:1)
@$(call set,LOCALES,ru_RU en_US)
@$(call set,LOCALE,ru_RU)
...
...
@@ -17,22 +19,17 @@ mixin/phone-base: use/ntp/chrony use/repo use/branding/notes \
@$(call add,CONTROL,libnss-role:disabled)
mixin/phosh: use/services +pulse +nm +nm-native
@$(call add,THE_PACKAGES,phosh xdg-desktop-portal-gtk)
@$(call add,THE_PACKAGES,gnome-control-center xorg-xwayland)
@$(call add,THE_PACKAGES,gnome-terminal gedit)
@$(call add,THE_PACKAGES,qt5-wayland qt6-wayland)
@$(call add,THE_PACKAGES,bluez)
@$(call add,THE_PACKAGES,tracker3 nautilus)
@$(call add,THE_LISTS,mobile/apps)
@$(call add,THE_LISTS,mobile/phosh)
@$(call add,DEFAULT_SERVICES_ENABLE,phosh)
@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)
@$(call set,DEFAULT_SESSION,phosh)
ifeq (vm,$(IMAGE_CLASS))
vm/.phosh: vm/systemd mixin/phone-base mixin/phosh +systemd \
mixin/waydroid; @:
mixin/waydroid
@$(call add,THE_LISTS,mobile/apps)
vm/phosh: vm/.phosh use/tty/S0 use/
efi/grub use/uboot use/phone
\
vm/phosh: vm/.phosh use/tty/S0 use/
uboot use/phone +efi
\
use/firmware +x11 +plymouth +vmguest
@$(call set,KFLAVOURS,un-def)
ifeq (aarch64,$(ARCH))
...
...
conf.d/regular-vm.mk
View file @
06e4c7f8
...
...
@@ -38,7 +38,7 @@ mixin/vm-archdep:: use/bootloader/uboot
@$(call set,KFLAVOURS,un-def)
endif
mixin/vm-archdep-x11: mixin/vm-archdep
+vmguest
; @:
mixin/vm-archdep-x11: mixin/vm-archdep
use/vmguest/kvm/x11
; @:
mixin/regular-vm-base: use/firmware use/ntp/chrony use/repo \
use/services/lvm2-disable use/wireless
...
...
conf.d/regular.mk
View file @
06e4c7f8
...
...
@@ -11,14 +11,10 @@ distro/.regular-bare: distro/.base use/kernel/net use/docs/license \
@$(call add,STAGE1_PACKAGES,firmware-linux)
@$(call add,STAGE1_KMODULES,drm)
@$(call set,BOOTVGA,)
ifeq (sisyphus,$(BRANCH))
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call set,BOOTLOADER,grubpcboot)
endif
endif
# base target (for most images)
distro/.regular-base: distro/.regular-bare use/vmguest use/memtest use/efi/dtb +efi; @:
distro/.regular-base: distro/.regular-bare use/vmguest use/memtest \
use/efi/shell use/efi/dtb +efi; @:
# graphical target (not enforcing xorg drivers or blobs)
distro/.regular-x11: distro/.regular-base mixin/regular-x11 \
...
...
@@ -121,7 +117,7 @@ distro/regular-jeos-systemd: distro/.regular-jeos-full \
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
# NB: no +efi as it brings in grub2 (no ELILO support for system boot)
distro/regular-jeos-ovz: distro/.regular-jeos use/cleanup/jeos/full +sysvinit \
use/server/ovz-base use/control/server/ldv use/firmware
use/bootloader/lilo
use/server/ovz-base use/control/server/ldv use/firmware
@$(call add,THE_PACKAGES,ipmitool lm_sensors3 mailx)
endif
...
...
@@ -172,6 +168,9 @@ distro/regular-xfce-install: distro/.regular-install-x11-systemd \
mixin/regular-xfce; @:
distro/regular-xfce-sysv: distro/.regular-gtk-sysv mixin/regular-xfce-sysv; @:
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call set,BOOTLOADER,isolinux)
endif
distro/regular-gnome-install: distro/.regular-install-x11-systemd mixin/regular-gnome \
use/kernel/latest +plymouth; @:
...
...
@@ -202,8 +201,7 @@ distro/regular-robo: distro/regular-mate use/live/ru use/x11/3d
@$(call add,THE_LISTS,robotics/reprap)
@$(call add,THE_LISTS,robotics/umki)
distro/regular-rescue: distro/.regular-base mixin/regular-rescue \
use/rescue/rw use/efi/shell use/efi/memtest86 \
distro/regular-rescue: distro/.regular-base mixin/regular-rescue use/rescue/rw \
use/hdt use/syslinux/rescue_fm.cfg use/syslinux/rescue_remote.cfg \
use/grub/rescue_fm.cfg use/grub/rescue_remote.cfg \
use/mediacheck use/stage2/kms use/kernel/latest +wireless
...
...
conf.d/server.mk
View file @
06e4c7f8
...
...
@@ -5,7 +5,7 @@ distro/.server-base: distro/.installer use/syslinux/ui/menu use/memtest \
use/cleanup/x11-alterator
@$(call add,BASE_LISTS,server-base openssh)
distro/server-nano: distro/.server-base
use/bootloader/lilo
+power \
distro/server-nano: distro/.server-base +power \
use/install2/cleanup/vnc
@$(call add,BASE_LISTS,$(call tags,server network))
@$(call add,BASE_PACKAGES,dhcpcd cpio)
...
...
conf.d/vm.mk
View file @
06e4c7f8
...
...
@@ -2,7 +2,7 @@
ifeq (vm,$(IMAGE_CLASS))
# NB: interactivesystem pulls in network-config-subsystem anyways
vm/bare: vm/.base-
lilo
+sysvinit
vm/bare: vm/.base-
grub
+sysvinit
@$(call add,BASE_PACKAGES,apt)
vm/systemd: vm/.base-grub use/init/systemd
...
...
features.in/bootloader/config.mk
View file @
06e4c7f8
...
...
@@ -26,6 +26,7 @@ ifeq (,$(filter-out i586 x86_64,$(ARCH)))
use/bootloader/lilo: \
use/bootloader/%: use/bootloader
@$(call set,BASE_BOOTLOADER,$*)
@echo Warning: use/bootloader/lilo is deprecated!
else
use/bootloader/lilo: ; @:
endif
...
...
features.in/branding/lib/20-branding.mk
View file @
06e4c7f8
# step 4: build the distribution image
DOT_BASE += $(call branding,$(THE_BRANDING))
# needed for refind only
ifeq (,$(filter-out x86_64,$(ARCH)))
CHROOT_PACKAGES_REGEXP += $(call branding,bootloader)
CHROOT_PACKAGES += ImageMagick-tools
endif
features.in/browser/config.mk
View file @
06e4c7f8
...
...
@@ -4,9 +4,8 @@ use/browser:
@$(call try,THE_BROWSER,elinks) # X11-less fallback
# amend as neccessary; firefox is treated separately due to its flavours
BROWSERS_i586 = seamonkey netsurf epiphany falkon otter-browser \
elinks links2
BROWSERS_x86_64 := $(BROWSERS_i586) chromium
BROWSERS_i586 = netsurf epiphany falkon otter-browser elinks links2
BROWSERS_x86_64 := $(BROWSERS_i586) chromium seamonkey
BROWSERS_ppc64el = netsurf epiphany falkon otter-browser elinks links2
BROWSERS_aarch64 = chromium netsurf epiphany falkon otter-browser elinks links2
BROWSERS_armh = netsurf epiphany falkon otter-browser elinks links2
...
...
features.in/build-vm/image-scripts.d/17-kernel
View file @
06e4c7f8
...
...
@@ -42,7 +42,7 @@ for KVER in $kver; do
done
case
"
$GLOBAL_ARCH
"
in
e2k
)
e2k
*
)
kname
=
image
;;
*
)
kname
=
vmlinuz
;;
...
...
features.in/e2k/image-scripts.d/40-e2k-boot-conf
0 → 100755
View file @
06e4c7f8
#!/bin/sh -efu
# NB: don't stick BOOTFS here, it has slightly different semantics
# 4.9.76-elbrus-def-alt1.11.1 -> def
get_label
()
{
echo
"
${
1
# *
}
"
|
sed
-r
's,.*elbrus-([0-9a-z]+)-.*$,\1,'
;
}
KVERSIONS
=
"
$(
rpm
-qa
'kernel-image*'
\
--qf
'%{installtime} %{version}-%{name}-%{release}\n'
\
|
sort
-n
\
|
cut
-f
2
-d
' '
\
|
sed
's/kernel-image-//'
)
"
[
-n
"
$KVERSIONS
"
]
||
{
echo
"40-e2k-boot-conf: kernel image missing, exiting"
>
&2
exit
0
}
cd
/boot
#rm -f .origver
echo
"** KVERSIONS=[
$KVERSIONS
]"
>
&2
if
[
"
`
echo
$KVERSIONS
|
wc
-w
`
"
=
1
]
;
then
# 2+ labels
echo
-e
"default=
`
get_label
$KVERSIONS
`
\n
"
>>
boot.conf
fi
# FIXME: relies on particular (current) kernel package naming scheme
for
v
in
$KVERSIONS
;
do
l
=
"
`
get_label
"
$v
"
`
"
cat
>>
boot.conf
<<
EOF
label=
$l
partition=0
image=/image-
$v
initrd=/initrd-
$v
.img
cmdline=console=tty0 consoleblank=0 hardreset LABEL=ROOT
EOF
done
echo
"** start of boot.conf"
>
&2
cat
boot.conf
>
&2
echo
"** end of boot.conf"
>
&2
features.in/e2k/rootfs/image-scripts.d/50-e2k-serial
View file @
06e4c7f8
...
...
@@ -10,5 +10,3 @@ CFG="/boot/boot.conf"
# tty0 first
sed
-i
"s/console=tty0 /console=
$GLOBAL_TTY_DEV
,
$GLOBAL_TTY_RATE
&/"
"
$CFG
"
### NB: there's no boot.conf yet! could only be the sample one
features.in/efi/config.mk
View file @
06e4c7f8
...
...
@@ -27,7 +27,8 @@ use/efi/grub: use/efi use/bootloader/grub
ifeq (x86_64,$(ARCH))
use/efi/shell: use/efi
@$(call try,EFI_SHELL,efi-shell)
@$(call add,STAGE1_PACKAGES,efi-shell)
@$(call add,GRUB_CFG,shell_efi)
use/efi/signed: use/efi
@$(call set,EFI_CERT,altlinux)
...
...
@@ -38,19 +39,9 @@ ifeq (,$(filter-out p10 c10f1,$(BRANCH)))
@$(call add,STAGE1_PACKAGES,shim-signed-installer-kludge grub-efi alt-uefi-certs dosfstools mtools)
endif
use/efi/lilo: use/efi use/bootloader/lilo
@$(call set,EFI_BOOTLOADER,elilo)
use/efi/refind: use/efi
@$(call set,EFI_BOOTLOADER,refind)
use/efi/memtest86: use/efi
@$(call set,EFI_MEMTEST86,efi-memtest86)
else
use/efi/signed use/efi/shell \
use/efi/refind use/efi/memtest86 use/efi/lilo: use/efi; @:
use/efi/signed use/efi/shell: use/efi; @:
endif
...
...
@@ -64,8 +55,8 @@ endif
else
# ignore on an unsupported target arch but make it hybrid at least
use/efi use/efi/signed use/efi/debug use/efi/grub
use/efi/lilo
\
use/efi/
refind use/efi/shell use/efi/memtest86
: use/isohybrid; @:
use/efi use/efi/signed use/efi/debug use/efi/grub \
use/efi/
shell
: use/isohybrid; @:
endif
...
...
@@ -77,3 +68,6 @@ ifeq (,$(filter-out aarch64 riscv64,$(ARCH)))
@$(call add,EFI_FILES_REPLACE,dtb)
endif
endif
use/efi/memtest86:
@echo Warning: use/efi/memtest86 is deprecated!!! >&2
features.in/efi/stage1/scripts.d/40-efi-shell
0 → 100755
View file @
06e4c7f8
#!/bin/sh -efu
EFI_SHELL
=
/usr/lib64/efi/shell.efi
[
-s
"
$EFI_SHELL
"
]
||
exit
0
mkdir
-p
"
$WORKDIR
"
/boot
cp
"
$EFI_SHELL
"
"
$WORKDIR
"
/boot/
features.in/grub/cfg.in/90memtest
_efi
.cfg
→
features.in/grub/cfg.in/90memtest.cfg
View file @
06e4c7f8
if [ "$grub_platform" = "
efi
" ]; then
if [ "$grub_platform" = "
pc
" ]; then
menuentry $"Memory Test" --id 'memtest' {
chainloader /EFI/tools/memtest86.efi
boot
linux /boot/memtest.bin
}
fi
if [ "$grub_platform" = "efi" ]; then
menuentry $"Memory Test (may not work with Secure Boot)" --id 'memtest' {
linux /boot/memtest.efi
}
fi
features.in/grub/cfg.in/90memtest_bios.cfg
View file @
06e4c7f8
if [ "$grub_platform" = "pc" ]; then
menuentry $"Memory Test" --id 'memtest' {
echo $"Loading memtest.bin ..."
linux16 /boot/memtest.bin
linux /boot/memtest.bin
}
fi
features.in/grub/cfg.in/91shell_efi.cfg
View file @
06e4c7f8
if [ "$grub_platform" = "efi" ]; then
menuentry $"EFI shell" --id 'efishell' {
chainloader /EFI/shellx64.efi
boot
menuentry $"UEFI Shell (may not work with Secure Boot)" --id 'efishell' {
chainloader /boot/shell.efi
}
fi
features.in/hdt/stage1/scripts.d/10-hdt-img
View file @
06e4c7f8
#!/bin/sh -efu
[
"
$
GLOBAL_BOOTLOADER
"
=
grubpcboot
]
||
exit
0
[
"
$
{
GLOBAL_BOOTLOADER
-
}
"
=
grubpcboot
]
||
exit
0
cd
"
$WORKDIR
"
mkdir
-p
boot syslinux
cp
/usr/lib/syslinux/hdt.c32
"
$WORKDIR
"
/syslinux/
cd
/tmp
rm
-fr
syslinux
mkdir
syslinux
cp
/usr/lib/syslinux/hdt.c32 syslinux/
mv
"
$WORKDIR
"
/syslinux/pci.ids syslinux/
cat
>
syslinux/syslinux.cfg
<<
EOF
default hdt
...
...
@@ -16,12 +17,15 @@ label hdt
EOF
# floppy disk 720 KiB
dd
if
=
/dev/zero
of
=
boot/hdt.img
bs
=
512
count
=
"1440"
mkfs.fat
-n
HDT
-F
12 boot/hdt.img
mcopy
-i
boot/hdt.img
-s
syslinux ::
mkdir
-p
"
$WORKDIR
"
/boot
dd
if
=
/dev/zero
of
=
"
$WORKDIR
"
/boot/hdt.img
bs
=
512
count
=
"1440"
mkfs.fat
-n
HDT
-F
12
"
$WORKDIR
"
/boot/hdt.img
mcopy
-i
"
$WORKDIR
"
/boot/hdt.img
-s
syslinux ::
# clean /tmp
rm
-r
syslinux
#dd if=/usr/lib/syslinux/ldlinux.bss of=boot/hdt.img conv=notrunc
syslinux
-d
/syslinux
--install
boot/hdt.img
syslinux
-d
/syslinux
--install
"
$WORKDIR
"
/
boot/hdt.img
rm
-r
syslinux
cp
/usr/lib/syslinux/memdisk boot
cp
/usr/lib/syslinux/memdisk
"
$WORKDIR
"
/boot
features.in/init/config.mk
View file @
06e4c7f8
...
...
@@ -14,7 +14,7 @@ use/init: use/pkgpriorities
use/init/sysv: use/init
@$(call set,INIT_TYPE,sysvinit)
@$(call add,THE_PACKAGES,rsyslog-classic startup)
@$(call add,THE_PACKAGES,udev
-rule-generator
)
@$(call add,THE_PACKAGES,udev
d-final
)
@$(call add,THE_PACKAGES,apt-conf-ignore-systemd)
@$(call add,DEFAULT_SERVICES_ENABLE,udevd-final)
@$(call add,PINNED_PACKAGES,rsyslog-classic)
...
...
features.in/initrd-bootchain/config.mk
View file @
06e4c7f8
use/initrd-bootchain:
use/uuid-iso
use/initrd-bootchain:
@$(call add_feature)
@$(call set,STAGE1_INITRD,initrd-bootchain)
@$(call set,STAGE1_PACKAGES,make-initrd-bootchain kbd)
...
...
features.in/initrd-propagator/config.mk
View file @
06e4c7f8
use/initrd-propagator:
use/uuid-iso
use/initrd-propagator:
@$(call add_feature)
@$(call add,STAGE1_PACKAGES,make-initrd-propagator propagator)
@$(call set,STAGE1_INITRD,initrd-propagator)
...
...
features.in/install2/install2/image-scripts.d/90-install2-cleanup-bloat
View file @
06e4c7f8
...
...
@@ -22,14 +22,12 @@ rm -rf /usr/share/awk/
# save VNC install if present
MORE
=
[
-x
/usr/bin/x11vnc
]
||
MORE
=
"
libGL libEGL libgbm libwayland
\\
*
xterm"
[
-x
/usr/bin/x11vnc
]
||
MORE
=
"xterm"
### could it be handled with any grace?
rpmquery
-a
common-licenses
\
cpp
\*
gcc
\*
perl-base file ipv6calc
\
bind-utils libbind
\
libmpfr
\*
libmpc
\*
\
libsoup
\*
\
bind-utils
\
$MORE
glxinfo xdriinfo
\
xdg-utils
\
mkfontscale mkfontdir
\
...
...
features.in/memtest/config.mk
View file @
06e4c7f8
...
...
@@ -3,7 +3,11 @@ use/memtest: use/syslinux use/grub
@$(call add_feature)
@$(call add,SYSTEM_PACKAGES,memtest86+)
@$(call add,SYSLINUX_CFG,memtest)
ifeq (,$(filter-out sisyphus p10,$(BRANCH)))
@$(call add,GRUB_CFG,memtest)
else
@$(call add,GRUB_CFG,memtest_bios)
endif
else
use/memtest: ; @:
endif
...
...
features.in/memtest/stage1/scripts.d/02-memtest
View file @
06e4c7f8
#!/bin/sh
mkdir
-p
"
$WORKDIR
"
/boot
MEMTEST
=
"
$(
find /boot/
-name
'memtest*'
-print
-quit
)
"
MEMTEST
=
"
$(
find /boot/
-name
'memtest*.bin'
-print
-quit
)
"
MEMTEST_EFI
=
"
$(
find /boot/
-name
'memtest*.efi'
-print
-quit
)
"
# hdt wiki recommends adding .bin
[
-z
"
$MEMTEST
"
]
||
cp
-f
"
$MEMTEST
"
"
$WORKDIR
"
/boot/memtest.bin
[
-z
"
$GLOBAL_EFI_BOOTLOADER
"
]
||
[
-z
"
$MEMTEST_EFI
"
]
||
cp
-f
"
$MEMTEST_EFI
"
"
$WORKDIR
"
/boot/memtest.efi
features.in/phone/image-scripts.d/80-squeekboard
deleted
100755 → 0
View file @
e504dc55
#!/bin/sh -efu
# Run screen keyboard (squeekboard) by default
cp
"/usr/share/applications/sm.puri.Squeekboard.desktop"
"/etc/xdg/autostart/"
features.in/phone/rootfs/files/etc/dconf/db/local.d/00_background
0 → 100644
View file @
06e4c7f8
[org/gnome/desktop/background]
picture-uri='file:///usr/share/wallpapers/mobile/720x1440/basealt-background.png'
features.in/phone/rootfs/files/etc/polkit-1/rules.d/60-mobile.rules
deleted
100644 → 0
View file @
e504dc55
polkit.addRule(function(action, subject) {
if (action.id == "org.freedesktop.ModemManager1.Contacts" ||
action.id == "org.freedesktop.ModemManager1.Device.Control" ||
action.id == "org.freedesktop.ModemManager1.Location" ||
action.id == "org.freedesktop.ModemManager1.Messaging" ||
action.id == "org.freedesktop.ModemManager1.Time" ||
action.id == "org.freedesktop.ModemManager1.USSD" ||
action.id == "org.freedesktop.ModemManager1.Voice")
{
return polkit.Result.YES;
}
});
features.in/rescue/config.mk
View file @
06e4c7f8
...
...
@@ -3,6 +3,7 @@ use/rescue/.base: use/stage2 sub/stage2@rescue
@$(call add,RESCUE_LISTS,sysvinit)
@$(call add,RESCUE_PACKAGES,startup startup-rescue udev)
@$(call add,RESCUE_LISTS,openssh)
@$(call add,RESCUE_LISTS,grub)
use/rescue/base: use/rescue/.base
@$(call add,RESCUE_PACKAGES,pciutils nfs-utils os-prober)
...
...
@@ -12,13 +13,7 @@ use/rescue/base: use/rescue/.base
use/rescue: use/rescue/.base use/services use/firmware/full +wireless
@$(call add,DEFAULT_SERVICES_DISABLE,rpcbind)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call add,RESCUE_PACKAGES,grub2-pc lilo syslinux)
endif
ifeq (,$(filter-out ppc64le,$(ARCH)))
@$(call add,RESCUE_PACKAGES,grub-ieee1275)
endif
ifneq (,$(EFI_BOOTLOADER))
@$(call add,RESCUE_PACKAGES,grub2-efi)
@$(call add,RESCUE_PACKAGES,lilo syslinux)
endif
@$(call add,RESCUE_LISTS,\
$(call tags,(base || extra || server || misc || fs) \
...
...
features.in/services/config.mk
View file @
06e4c7f8
...
...
@@ -14,7 +14,7 @@ use/services: sub/rootfs
@$(call xport,SYSTEMD_USER_SERVICES_DISABLE)
user/services/dbus-brocker: use/services
@$(call add,DEFAULT_SERVICES_ENABLE,
bluetoothd
dbus-broker)
@$(call add,DEFAULT_SERVICES_ENABLE,dbus-broker)
@$(call add,DEFAULT_SYSTEMD_USER_SERVICES_ENABLE,dbus-broker)
use/services/lvm2-disable: use/services
...
...
features.in/stage2/stage1/scripts.d/95-copy-kernel
View file @
06e4c7f8
...
...
@@ -25,15 +25,6 @@ mv boot/$kname-$kverdef boot/$kname
cp
$verbose
-af
$initrd
boot/
mv
boot/initrd-
$kverdef
.img boot/initrd.img
# config is generated in mkimage
case
"
$GLOBAL_EFI_BOOTLOADER
"
in
refind|elilo
)
mkdir
-p
EFI/BOOT
cp
-lpLf
boot/vmlinuz EFI/BOOT/
cp
-lpLf
boot/initrd.img EFI/BOOT/full.cz
;;
esac
# copy dtb for default kernel
if
[
-n
"
$GLOBAL_COPY_DTB
"
]
;
then
dtb_dir
=
...
...
features.in/tty/rootfs/image-scripts.d/50-serial
View file @
06e4c7f8
...
...
@@ -17,7 +17,7 @@ if ! grep -q "$BIN" "$CFG"; then
done
fi
for
c
in
/boot/extlinux/extlinux.conf /etc/sysconfig/grub2
;
do
for
c
in
/boot/extlinux/extlinux.conf /etc/sysconfig/grub2
/boot/boot.conf
;
do
if
[
-f
"
$c
"
]
;
then
sed
-i
"s/ quiet / /g;s/ quiet'/'/"
"
$c
"
fi
...
...
lib/boot.mk
View file @
06e4c7f8
...
...
@@ -5,15 +5,14 @@ endif
ifeq (distro,$(IMAGE_CLASS))
# install media bootloader
boot/iso:
boot/iso:
use/uuid-iso
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
@$(call try,BOOTLOADER,
isolinux
)
@$(call try,BOOTLOADER,
grubpcboot
)
endif
ifeq (,$(filter-out aarch64 riscv64 loongarch64,$(ARCH)))
@$(call try,BOOTLOADER,efiboot)
endif
ifeq (,$(filter-out e2k%,$(ARCH)))
@$(call try,BOOTLOADER,e2kboot)
@$(call set,IMAGE_PACKTYPE,isodata)
endif
ifeq (,$(filter-out ppc64le,$(ARCH)))
...
...
pkg.in/lists/centaurus/disk-dvd
View file @
06e4c7f8
...
...
@@ -113,4 +113,3 @@ seavgabios
haproxy
keepalived
eepm
eepm-yum
pkg.in/lists/grub
View file @
06e4c7f8
grub-pc@X86
grub-efi@X86
grub-efi@aarch64
grub-efi@X86,aarch64,riscv64,loongarch64
grub-ieee1275@ppc64le
# should be R: in grub-ieee1275
powerpc-utils@ppc64le
pkg.in/lists/lilo
View file @
06e4c7f8
lilo@X86
elilo@x86_64
pkg.in/lists/mobile/apps
View file @
06e4c7f8
# connectivity
gnome-calls
gnome-contacts
chatty
gnome-clocks
gnome-calendar
gnome-screenshot
g
rim
megapixels
cheese
telegram-desktop@!riscv64
# terminal
g
nome-console
# web, mail
chromium@!riscv64
firefox
telegram-desktop@!riscv64
evince
geary
# multimedia
megapixels
cheese
mpv
totem
amberol
lollypop
shortwave
# readers
evince
foliate
geary
# file transfer
warp@!riscv64
# password manager
secrets
# emoji (see also https://bugzilla.altlinux.org/46471)
fonts-ttf-google-noto-emoji-color
# misc
gnome-calculator
gnome-clocks
gnome-calendar
gnome-characters
gnome-maps
gnome-weather
gnome-screenshot
grim
wallpapers-mobile
# libadwaita theme ported to gtk3
# $ gsettings get org.gnome.desktop.interface gtk-theme
# 'adw-gtk3'
gtk3-theme-adw-gtk3
# need to test
gnome-qr-decoder
pkg.in/lists/mobile/phosh
0 → 100644
View file @
06e4c7f8
# core
phosh
xdg-desktop-portal-gtk
xdg-desktop-portal-gnome
xorg-xwayland
qt5-wayland
qt6-wayland
bluez
# base applications
gnome-control-center
# file manager
nautilus
tracker3
templates
# base libraries
at-spi2-core
libat-spi2-core-gir
libgtk+3-gir
libgtk4-gir
libtelepathy-mission-control
pkg.in/lists/tagged/rescue+extra
View file @
06e4c7f8
...
...
@@ -215,6 +215,7 @@ chntpw@X86
hivex@X86
scrounge-ntfs@X86
wabread@X86
libldm@X86
# Mobile
android-tools@!E2K,riscv64
sub.in/rootfs/image-scripts.d/99-dconf-update
0 → 100755
View file @
06e4c7f8
#!/bin/sh
type
-t
dconf
>
/dev/null
||
exit
0
dconf update
sub.in/stage1/Makefile
View file @
06e4c7f8
...
...
@@ -8,10 +8,12 @@ include $(GLOBAL_BUILDDIR)/distcfg.mk
include
$(GLOBAL_BUILDDIR)/functions.mk
include
$(MKIMAGE_PREFIX)/config.mk
ifneq
(isodata,$(IMAGE_PACKTYPE))
ifeq
(,$(BOOTLOADER))
$(error
BOOTLOADER
not
defined)
endif
GLOBAL_BOOTLOADER
:=
$(BOOTLOADER)
endif
MKI_PACK_RESULTS
=
data
COPY_TREE
=
./files
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment